import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;

public class midlet extends MIDlet implements CommandListener { 
 private Display display;
 public recordStores rs=null;
 public Command Quit;
 TextField number,text;
 ChoiceGroup checkbox;
 String options[]={"","","",""};
 boolean isStarted = false;
 Form form;

 public midlet () {
  display = Display.getDisplay(this);
  Quit = new Command("Quit", Command.EXIT, 0);
  number=new TextField ("Number:","",16,TextField.NUMERIC);
  text=new TextField ("String:","",16,TextField.ANY);
  checkbox = new ChoiceGroup ("", ChoiceGroup.MULTIPLE);
  checkbox.append ("Checkbox", null); 
  form = new Form ("Recordstore demo");
  form.addCommand(Quit);
  form.append (number);
  form.append (text);
  form.append (checkbox);
  form.setCommandListener(this);
 }

 private void Read () {
  String s;
  rs = new recordStores ();
  for (int n=1; n<4; n++) {
   s=rs.getRecord (n);
   if (s!=null && s.trim().length()>0) options[n]=s;
  }
 }

 private void Write () {
  String item=number.getString();
  rs.setRecord (1,item);
  item=text.getString();
  rs.setRecord (2,item);
  int n;
  if (checkbox.isSelected(0)==true) n=1; else n=0;
  rs.setRecord (3,""+n);
 }

 protected void startApp() {
  if (isStarted) return;
  Read ();
  number.setString (options[1]);
  text.setString (options[2]);
  if (options[3].compareTo("1")==0) checkbox.setSelectedIndex (0,true);
  else checkbox.setSelectedIndex (0,false);
  display.setCurrent (form);
  isStarted = true;
 }

 protected void destroyApp(boolean unconditional) { 
  Write ();
  rs.closeRecords ();
 }

 protected void pauseApp() { }

 public void quit() { 
  destroyApp(true);
  notifyDestroyed();
 }

 public void commandAction(Command c, Displayable d) {
  if (c == Quit) quit();
 }

}
